Subject: Re: [GSoC][PATCH v2] t: migrate helper/test-oidmap.c to unit-tests/t-oidmap.c

From: Junio C Hamano <[email-masked]>
Date: Mon, 01 Jul 2024 14:19:33 -0700

Josh Steadmon <[email-masked]> writes:

>> This version addresses Phillip's review about detecting duplicates in
>> oidmap when iterating over it and removing put_and_check_null() to move
>> the relevant code to setup() instead. And contains some grammer fixes
>> in the comment.
>
> IIUC this corrects all of the issues that Phillip noted in his earlier
> review, except for checking for duplicates, is that right?

There is an attempted duplicate checking during iteration; the test
data source key_val[] array is (ab)used to record the already seen
keys during the iteration, which would work but is a hacky and
unmaintainable way to do so.

Thanks for reviewing.